import { ReactWidget } from '@jupyterlab/apputils';
import { IInputPrompt } from '@jupyterlab/cells';
export default function Countdown(props: {
    count: number;
}): import("@emotion/react/jsx-runtime").JSX.Element;
/**
 * The custom input prompt implementation.
 */
export declare class NotebookInputPrompt extends ReactWidget implements IInputPrompt {
    state: {
        count: number;
    };
    constructor();
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
    /**
     * The execution count for the prompt.
     */
    get executionCount(): string | null;
    set executionCount(value: string | null);
    private _executionCount;
}
