import * as nbformat from '@jupyterlab/nbformat';
import Kernel from '../../jupyter/services/kernel/Kernel';
export declare type IOutputProps = {
    initialOutput?: [nbformat.IOutput];
    kernel: Kernel;
    autoRun: boolean;
    showEditor: boolean;
    code: string;
    executeTrigger: number;
    clearTrigger: number;
};
declare const Output: {
    (props: IOutputProps): import("@emotion/react/jsx-runtime").JSX.Element;
    defaultProps: Partial<IOutputProps>;
};
export default Output;
