import { OutputArea, OutputAreaModel } from '@jupyterlab/outputarea';
import { Kernel } from '@jupyterlab/services';
import '@lumino/default-theme/style/index.css';
import '@jupyterlab/json-extension/style/index.css';
import './OutputAdapter.css';
declare class OutputAdapter {
    private _kernelConnectionPromise;
    private _renderers;
    private _outputArea;
    private _msgLoading;
    private _rendermime;
    private _iPyWidgetsClassicManager;
    constructor(kernel: Promise<Kernel.IKernelConnection>, model: OutputAreaModel, options?: any);
    private renderCell;
    execute(code: string): void;
    clearOutput(): void;
    private render;
    get panel(): OutputArea;
}
export default OutputAdapter;
