export declare type IOutput = number;
export interface IOutputtate {
    outputs: IOutput;
}
export declare const outputInitialState: IOutputtate;
export declare const selectOutput: () => IOutputtate;
export declare enum ActionType {
    OUTPUTS = "Output/OUTPUTS",
    EXECUTE = "Output/EXECUTE"
}
export declare const OutputActions: {
    outputs: import("typescript-fsa").ActionCreator<number>;
    execute: import("typescript-fsa").ActionCreator<void>;
};
export declare const OutputReducer: import("typescript-fsa-reducers").ReducerBuilder<IOutputtate, IOutputtate>;
